=== debian/changelog ===
packagekit-qt (0.8.8-2ubuntu1) saucy; urgency=low

  * Merge from Debian unstable (LP: #1217699). Remaining changes:
    + Add alternative recommendation of python3-aptdaemon.pkcompat

 -- Sebastian Heinlein <glatzor@ubuntu.com>  Wed, 28 Aug 2013 07:14:56 +0200

packagekit-qt (0.8.8-2) unstable; urgency=low

  * Upload to unstable

 -- Matthias Klumpp <mak@debian.org>  Sun, 23 Jun 2013 22:42:21 +0200

packagekit-qt (0.8.8-1) experimental; urgency=low

  * New upstream release: 0.8.8
  * Do not depend on system-interface virtual package
  * Adjust packaging to SONAME bump

 -- Matthias Klumpp <mak@debian.org>  Tue, 04 Jun 2013 14:50:38 +0200

packagekit-qt (0.8.7-2) experimental; urgency=low

  * New upstream release: 0.8.7

 -- Matthias Klumpp <mak@debian.org>  Tue, 19 Mar 2013 20:34:27 +0100

packagekit-qt (0.8.6-1) unstable; urgency=low

  * Initial release (Closes: #468132)

 -- Matthias Klumpp <matthias@tenstral.net>  Sun, 02 Dec 2012 22:17:35 +0100
