=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

override_dh_install:
	dh_install --list-missing
