=== debian/watch ===
version=3
http://www.packagekit.org/releases/PackageKit-Qt-([\d\.]+)\.tar\.xz
