## packagekit-qt 0.9.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,13 +6,14 @@
 
 set(CMAKE_BUILD_TYPE "Debug")
 
+# Used to set installation paths
+include(GNUInstallDirs)
+
 set(QPACKAGEKIT_VERSION_MAJOR  "0")
-set(QPACKAGEKIT_VERSION_MINOR  "8")
-set(QPACKAGEKIT_VERSION_PATCH  "8")
+set(QPACKAGEKIT_VERSION_MINOR  "9")
+set(QPACKAGEKIT_VERSION_PATCH  "5")
 set(QPACKAGEKIT_VERSION_SUFFIX "${VERSION_SUFFIX}")
 set(QPACKAGEKIT_VERSION "${QPACKAGEKIT_VERSION_MAJOR}.${QPACKAGEKIT_VERSION_MINOR}.${QPACKAGEKIT_VERSION_PATCH}")
-
-set(QPACKAGEKIT_API_LEVEL "6")
 
 # Forbid in-tree building
 if(${CMAKE_SOURCE_DIR} MATCHES ${CMAKE_BINARY_DIR})
@@ -24,8 +25,18 @@
 #
 # Options
 #
+option(USE_QT5 "Build against Qt5 instead of Qt4." OFF)
+if(USE_QT5)
+  set(QPACKAGEKIT_API_LEVEL "0")
+  set(LIBNAME "packagekitqt5")
+  set(QT_VERSION "5")
+else()
+  set(QPACKAGEKIT_API_LEVEL "0")
+  set(LIBNAME "packagekitqt4")
+  set(QT_VERSION "4")
+endif(USE_QT5)
 
-# NONE
+set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
 
 if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
   set(CMAKE_INSTALL_PREFIX
@@ -35,20 +46,13 @@
 #
 # Configure files
 #
-set (PREFIXDIR "${CMAKE_INSTALL_PREFIX}")
-set (DATADIR "${CMAKE_INSTALL_PREFIX}/share")
-set (PKGDATADIR "${DATA_INSTALL_DIR}")
-set (LIBDIR "${CMAKE_INSTALL_PREFIX}/${LIB_INSTALL_DIR}")
-set (PKGLIBDIR "${LIBDIR}/packagekit")
 set (GETTEXT_PACKAGE "packagekit")
-set (LOCALE_DIR "${DATADIR}/locale")
 set (VERSION "${QPACKAGEKIT_VERSION}")
-set (BUILDDIR "${CMAKE_BINARY_DIR}")
 set (LOCALSTATEDIR "/var")
+set (CMAKECONFIG_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}/cmake/${LIBNAME}/")
 
 add_definitions("-DLOCALSTATEDIR=\"${LOCALSTATEDIR}\"")
-
-set(CMAKE_INSTALL_LIBDIR "lib/${CMAKE_LIBRARY_ARCHITECTURE}" CACHE PATH "Output directory for libraries")
+add_definitions("-std=gnu++11")
 
 configure_file(config.h.in ${CMAKE_BINARY_DIR}/config.h)
 
@@ -63,3 +67,9 @@
 add_definitions(${MAINTAINER_CFLAGS})
 
 add_subdirectory(src)
+
+install(EXPORT PackageKitQtTargets
+        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
+        FILE PackageKitQtTargets.cmake
+        NAMESPACE PK::
+        COMPONENT Devel)
