=== debian/changelog ===
packagekit-qt (0.9.5-2ubuntu2) xenial; urgency=high

  * No change rebuild for s390x.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 08 Jan 2016 15:10:14 +0000

packagekit-qt (0.9.5-2ubuntu1) wily; urgency=low

  * Merge from Debian experimental.  Remaining changes:
    - debian/control:
      + Bump Build-Depends on packagekit (>= 0.9.0).
      + Add alternative recommendation of python3-aptdaemon.pkcompat.

 -- Artur Rona <ari-tczew@ubuntu.com>  Tue, 15 Sep 2015 00:10:49 +0200

packagekit-qt (0.9.5-2) experimental; urgency=medium

  * Build the Qt5 library instead of the Qt4 lib

 -- Matthias Klumpp <mak@debian.org>  Sun, 24 May 2015 17:40:08 +0200

packagekit-qt (0.9.5-1) unstable; urgency=medium

  * New upstream release: 0.9.5 (Closes: #763236)
  * Update debian/watch file

 -- Matthias Klumpp <mak@debian.org>  Fri, 10 Oct 2014 17:20:56 +0200

packagekit-qt (0.9.5-0ubuntu1) wily; urgency=medium

  * New upstream release
  * Build package for Qt 5

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 11 Sep 2015 16:50:05 +0100

packagekit-qt (0.9.2-4) unstable; urgency=medium

  * Include upstream patches to fix broken cmake modules

 -- Matthias Klumpp <mak@debian.org>  Mon, 08 Sep 2014 23:48:04 +0200

packagekit-qt (0.9.2-3) unstable; urgency=medium

  * Add patch to make the QPK API match the PK API

 -- Matthias Klumpp <mak@debian.org>  Mon, 08 Sep 2014 21:36:52 +0200

packagekit-qt (0.9.2-2) unstable; urgency=medium

  * Upload to unstable

 -- Matthias Klumpp <mak@debian.org>  Mon, 08 Sep 2014 18:48:26 +0200

packagekit-qt (0.9.2-1) experimental; urgency=medium

  * New upstream release: 0.9.2
  * Bump standards version

 -- Matthias Klumpp <mak@debian.org>  Tue, 22 Jul 2014 16:14:32 +0200
