=== debian/rules ===
#!/usr/bin/make -f

QPK_CONFIGURE_ARGS = -DUSE_QT5=ON

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- $(QPK_CONFIGURE_ARGS)

override_dh_install:
	dh_install --list-missing
