=== debian/watch ===
version=3
http://www.freedesktop.org/software/PackageKit/releases/PackageKit-Qt-([\d\.]+)\.tar\.xz
