=== debian/changelog ===
packagekit-qt (0.9.6-1) unstable; urgency=medium

  * New upstream bugfix release: 0.9.6
  * Use secure Vcs-* URLs
  * Bump standards version: No changes needed

 -- Matthias Klumpp <mak@debian.org>  Tue, 20 Sep 2016 18:56:20 +0200

packagekit-qt (0.9.5-3) unstable; urgency=medium

  * Upload to unstable

 -- Matthias Klumpp <mak@debian.org>  Wed, 30 Sep 2015 19:00:00 +0200
