=== debian/control ===
Source: packagekit-qt
Section: libs
Priority: optional
Maintainer: Matthias Klumpp <mak@debian.org>
Build-Depends: cmake (>= 2.8),
               debhelper (>= 9),
               packagekit (>= 1.0),
               pkg-config (>= 0.26),
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.6)
Standards-Version: 3.9.8
Homepage: http://www.packagekit.org
Vcs-Git: https://anonscm.debian.org/git/pkg-packagekit/packagekit-qt.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-packagekit/packagekit-qt.git

Package: libpackagekitqt5-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: packagekit
Description: Library for accessing PackageKit using Qt5
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides a library to access PackageKit using Qt.

Package: libpackagekitqt5-dev
Section: libdevel
Architecture: any
Depends: libpackagekitqt5-0 (= ${binary:Version}),
         qtbase5-dev (>= 5.6),
         ${misc:Depends}
Description: Library for accessing PackageKit using Qt5 (development files)
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides the header files for PackageKit-Qt.
