=== debian/changelog ===
packagekit-qt (1.0.1-1) unstable; urgency=medium

  * New upstream version: 1.0.1
  * Update d/watch
  * Update dh compat level to 11
  * Bump standards version: No changes needed
  * Update Vcs-* URLs for move to Salsa
  * Refresh dependencies
  * Use secure URL in d/copyright
  * Update library package name for ABI break

 -- Matthias Klumpp <mak@debian.org>  Sun, 21 Jan 2018 20:45:34 +0100
