=== debian/control ===
--- 
+++ 
@@ -2,18 +2,18 @@
 Section: libs
 Priority: optional
 Maintainer: Matthias Klumpp <mak@debian.org>
-Build-Depends: cmake (>= 2.8),
-               debhelper (>= 9),
-               packagekit (>= 1.0),
+Build-Depends: cmake (>= 3.2),
+               debhelper (>= 11),
+               packagekit (>= 1.1.6),
                pkg-config (>= 0.26),
                pkg-kde-tools (>= 0.15.16),
-               qtbase5-dev (>= 5.6)
-Standards-Version: 3.9.8
+               qtbase5-dev (>= 5.8)
+Standards-Version: 4.1.2
 Homepage: http://www.packagekit.org
-Vcs-Git: https://anonscm.debian.org/git/pkg-packagekit/packagekit-qt.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-packagekit/packagekit-qt.git
+Vcs-Git: https://salsa.debian.org/pkgutopia-team/packagekit-qt.git
+Vcs-Browser: https://salsa.debian.org/pkgutopia-team/packagekit-qt
 
-Package: libpackagekitqt5-0
+Package: libpackagekitqt5-1
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -30,8 +30,8 @@
 Package: libpackagekitqt5-dev
 Section: libdevel
 Architecture: any
-Depends: libpackagekitqt5-0 (= ${binary:Version}),
-         qtbase5-dev (>= 5.6),
+Depends: libpackagekitqt5-1 (= ${binary:Version}),
+         qtbase5-dev (>= 5.8),
          ${misc:Depends}
 Description: Library for accessing PackageKit using Qt5 (development files)
  PackageKit allows performing simple software management tasks over a DBus
