## packagekit-qt 1.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1)
+cmake_minimum_required(VERSION 3.2)
 cmake_policy(SET CMP0048 NEW)
 
 if (POLICY CMP0043)
@@ -8,7 +8,7 @@
   cmake_policy(SET CMP0063 NEW)
 endif()
 
-project(packagekit-qt VERSION 1.0.1)
+project(packagekit-qt VERSION 1.0.2)
 
 # Used to set installation paths
 set(CMAKE_AUTOMOC ON)
@@ -56,14 +56,15 @@
 set (CMAKECONFIG_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}/cmake/packagekitqt5/")
 
 add_definitions("-DLOCALSTATEDIR=\"${LOCALSTATEDIR}\"")
+set (CMAKE_CXX_STANDARD 11)
 
 configure_file(config.h.in ${CMAKE_BINARY_DIR}/config.h)
 
 #
 # Custom C flags
 #
-option (DISABLE_MAINTAINER_CFLAGS "Disable maintainer CFlags" ON)
-if (NOT DISABLE_MAINTAINER_CFLAGS)
+option (MAINTAINER "Enable maintainer CFlags" OFF)
+if (MAINTAINER)
     set (MAINTAINER_CFLAGS "-Werror -Wall -Wcast-align -Wno-uninitialized -Wempty-body -Wformat-security -Winit-self")
     add_definitions(${MAINTAINER_CFLAGS})
 endif ()
