=== src/CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,8 @@
     details.h
     bitfield.h
     packagekitqt_global.h
+    offline.h
+    Offline
 )
 
 set(packagekitqt_SRC
@@ -21,6 +23,7 @@
     transaction.cpp
     transactionprivate.cpp
     details.cpp
+    offline.cpp
 )
 
 find_path(PK_INTERFACES_DIR org.freedesktop.PackageKit.xml
@@ -41,7 +44,7 @@
 qt5_add_dbus_interface(packagekitqt_SRC ${PK_TRANSACTION_INTERFACE_XML} transactionproxy)
 
 add_library(packagekitqt5 ${packagekitqt_SRC} ${packagekitqt_HEADERS} ${packagekitqt_HEADERS_PRIVATE})
-set_target_properties(packagekitqt5 PROPERTIES VERSION ${QPACKAGEKIT_VERSION} SOVERSION ${QPACKAGEKIT_API_LEVEL})
+set_target_properties(packagekitqt5 PROPERTIES VERSION ${PROJECT_VERSION} SOVERSION ${QPACKAGEKIT_API_LEVEL})
 
 target_link_libraries(packagekitqt5 PUBLIC Qt5::DBus)
