=== debian/changelog ===
packagekit-qt (1.0.2-1) unstable; urgency=medium

  * New upstream version: 1.0.2
  * Bump standards version: No changes needed
  * Use dh compat level 12
  * Mark rules as not requiring root
  * Simplify d/watch

 -- Matthias Klumpp <mak@debian.org>  Thu, 20 Feb 2020 23:40:42 +0100
