=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Priority: optional
 Maintainer: Matthias Klumpp <mak@debian.org>
 Build-Depends: cmake (>= 3.2),
-               debhelper (>= 11),
-               packagekit (>= 1.1.6),
+               debhelper-compat (= 12),
+               packagekit (>= 1.1.12),
                pkg-config (>= 0.26),
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.8)
-Standards-Version: 4.1.2
-Homepage: http://www.packagekit.org
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://www.freedesktop.org/software/PackageKit/
 Vcs-Git: https://salsa.debian.org/pkgutopia-team/packagekit-qt.git
 Vcs-Browser: https://salsa.debian.org/pkgutopia-team/packagekit-qt
