=== debian/watch ===
version=3

https://github.com/hughsie/PackageKit-Qt/tags .*/v?(\d\S*)\.tar\.gz
