## packagekit-qt 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
   cmake_policy(SET CMP0063 NEW)
 endif()
 
-project(packagekit-qt VERSION 1.0.2)
+project(packagekit-qt VERSION 1.0.3)
 
 # Used to set installation paths
 set(CMAKE_AUTOMOC ON)
@@ -18,6 +18,8 @@
 include(GNUInstallDirs)
 
 set(QPACKAGEKIT_API_LEVEL "1")
+
+find_package(QT NAMES Qt6 Qt5 NO_MODULE REQUIRED COMPONENTS Core DBus)
 
 add_definitions(
     -DQT_NO_KEYWORDS
@@ -53,7 +55,7 @@
 set (GETTEXT_PACKAGE "packagekit")
 set (VERSION "${QPACKAGEKIT_VERSION}")
 set (LOCALSTATEDIR "/var")
-set (CMAKECONFIG_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}/cmake/packagekitqt5/")
+set (CMAKECONFIG_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}/cmake/packagekitqt${QT_VERSION_MAJOR}/")
 
 add_definitions("-DLOCALSTATEDIR=\"${LOCALSTATEDIR}\"")
 set (CMAKE_CXX_STANDARD 11)
