## packagekit-qt 1.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
   cmake_policy(SET CMP0063 NEW)
 endif()
 
-project(packagekit-qt VERSION 1.0.3)
+project(packagekit-qt VERSION 1.1.1)
 
 # Used to set installation paths
 set(CMAKE_AUTOMOC ON)
@@ -19,7 +19,15 @@
 
 set(QPACKAGEKIT_API_LEVEL "1")
 
-find_package(QT NAMES Qt6 Qt5 NO_MODULE REQUIRED COMPONENTS Core DBus)
+option(BUILD_WITH_QT6 "Use Qt6 instead of Qt5" OFF)
+
+if(BUILD_WITH_QT6)
+  set(QT_VERSION_MAJOR 6)
+else()
+  set(QT_VERSION_MAJOR 5)
+endif()
+
+find_package(Qt${QT_VERSION_MAJOR} 5.10 REQUIRED COMPONENTS Core DBus)
 
 add_definitions(
     -DQT_NO_KEYWORDS
@@ -65,11 +73,32 @@
 #
 # Custom C flags
 #
+add_definitions(
+  "-Wformat"
+  "-Wno-unused-parameter"
+  "-Werror=empty-body"
+  "-Werror=pointer-arith"
+  "-Werror=init-self"
+  "-Werror=missing-declarations"
+  "-Werror=return-type"
+  "-Werror=misleading-indentation"
+  "-Werror=format-security"
+)
 option (MAINTAINER "Enable maintainer CFlags" OFF)
 if (MAINTAINER)
-    set (MAINTAINER_CFLAGS "-Werror -Wall -Wcast-align -Wno-uninitialized -Wempty-body -Wformat-security -Winit-self")
+    set(MAINTAINER_CFLAGS
+      "-Werror"
+      "-Wall"
+      "-Wcast-align"
+      "-Wno-uninitialized"
+      "-Wempty-body"
+      "-Winit-self"
+      "-Wnull-dereference"
+      "-Wfloat-equal"
+      "-Winline"
+    )
     add_definitions(${MAINTAINER_CFLAGS})
-endif ()
+endif()
 
 add_subdirectory(src)
