=== debian/changelog ===
packagekit-qt (1.1.1-1build3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Apr 2024 20:18:11 +0100

packagekit-qt (1.1.1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:13:16 +0000

packagekit-qt (1.1.1-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:18:47 +0000

packagekit-qt (1.1.1-1) unstable; urgency=medium

  * New upstream bugfix release: 1.1.1
    - Fixes update notifications not being shown because frontends
      may get confused by a new transaction property (Closes: #1027831)
    - Fixes a crash that occurs if a transaction role is not yet
      known or the transaction is not initialized (Closes: #1026062)

 -- Matthias Klumpp <mak@debian.org>  Fri, 10 Mar 2023 18:48:56 +0100

packagekit-qt (1.1.0-1) unstable; urgency=medium

  * New upstream version: 1.1.0
  * Bump standards version & dh compat level
  * Bump packagekit dependency to 1.2.6

 -- Matthias Klumpp <mak@debian.org>  Thu, 01 Dec 2022 21:00:40 +0100
