=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: packagekit-qt
 Section: libs
 Priority: optional
-Maintainer: Matthias Klumpp <mak@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthias Klumpp <mak@debian.org>
 Build-Depends: cmake (>= 3.2),
-               debhelper-compat (= 12),
-               packagekit (>= 1.1.12),
+               debhelper-compat (= 13),
+               packagekit (>= 1.2.6),
                pkg-config (>= 0.26),
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.8)
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://www.freedesktop.org/software/PackageKit/
 Vcs-Git: https://salsa.debian.org/pkgutopia-team/packagekit-qt.git
