=== debian/watch ===
version=4

https://github.com/PackageKit/PackageKit-Qt/tags .*/v?(\d\S*)\.tar\.gz
