## packagekit-qt 1.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.2)
+cmake_minimum_required(VERSION 3.6)
 cmake_policy(SET CMP0048 NEW)
 
 if (POLICY CMP0043)
@@ -8,7 +8,7 @@
   cmake_policy(SET CMP0063 NEW)
 endif()
 
-project(packagekit-qt VERSION 1.1.1)
+project(packagekit-qt VERSION 1.1.2)
 
 # Used to set installation paths
 set(CMAKE_AUTOMOC ON)
@@ -66,7 +66,7 @@
 set (CMAKECONFIG_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}/cmake/packagekitqt${QT_VERSION_MAJOR}/")
 
 add_definitions("-DLOCALSTATEDIR=\"${LOCALSTATEDIR}\"")
-set (CMAKE_CXX_STANDARD 11)
+set (CMAKE_CXX_STANDARD 17)
 
 configure_file(config.h.in ${CMAKE_BINARY_DIR}/config.h)
