=== debian/changelog ===
packagekit-qt (1.1.2-1) unstable; urgency=medium

  * New upstream version: 1.1.2

 -- Matthias Klumpp <mak@debian.org>  Sun, 16 Jun 2024 17:48:26 +0200

packagekit-qt (1.1.1-3) unstable; urgency=medium

  * Rebuild against the latest version of Qt6 that drop the t64 suffix
    for most of its libraries.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 07 Jun 2024 22:06:42 +0200

packagekit-qt (1.1.1-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Bump minimum required Qt5 version to 5.10 as declared by the
    upstream build system.
  * Tighten selection of files installed into the shared library package to
    only match the current soname version.
  * Build with hardening=+all build hardening flag.
  * Replace transitional pkg-config build dependency with pkgconf.
  * Drop explicit --fail-missing option for dh_missing, it has been the
    default since dh 13 compat level.
  * Bump Standards-Version to 4.7.0, no change required.
  * Also build the qt6 version of the library.
  * Add symbols files for shared libraries.

  [ Matthias Klumpp ]
  * Update default Git branch to debian/latest
  * Add Aurélien COUDERC as co-maintainer

 -- Matthias Klumpp <mak@debian.org>  Sat, 25 May 2024 21:44:22 +0200
